nav {
    height: 6rem;
    width: 100vw;
    background-color: transparent;
    /* background-color: rgba(51, 51, 51, 1);
    box-shadow: 0 3px 20px rgba(0, 0, 0, 0.5); */
    display: flex;
    position: fixed;
    z-index: 10;
    padding: 0;
    color: white;
    font-family: 'Revue', sans-serif;
    letter-spacing: 1px;
    /* font-weight: 300; */
    overflow-x: hidden;
    /* align-items: center; */
}

nav:hover {
    background-color: black;
    box-shadow: 0px 2px 10px black;
    transition: background-color 0.3s;
}

.nav-active {
    background-color: black;
    box-shadow: 0px 2px 10px black;
    transition: background-color 0.3s;
}

/*Styling logo*/
.logo {
    padding: 1vh 3vw;
    text-align: center;
    display: flex;
    align-items: center;
}

.logo img {
    height: 4rem;
    width: 4rem;
}

/*Styling Links*/
.nav-links {
    display: flex;
    list-style: none;
    width: 88vw;
    padding: 0 0.7vw;
    justify-content: space-evenly;
    align-items: center;
    text-transform: uppercase;
}

.nav-links li a {
    text-decoration: none;
    margin: 0 0.7vw;
    color: white;
    border-bottom: 5px solid transparent;
    border-bottom-color: transparent;
    transition: border-bottom-color 0.3s;
}

.nav-links li a:hover, .logo a:hover {
    /* color: #61DAFB; */
    cursor: pointer;
    border-bottom-color: var(--red);
    transition: border-bottom-color 0.3s;
}

.nav-links li {
    position: relative;
}

.nav-links li a::before {
    content: "";
    display: block;
    height: 3px;
    width: 0%;
    /* background-color: #61DAFB; */
    position: absolute;
    transition: all ease-in-out 250ms;
    margin: 0 0 0 10%;
}

.nav-links li a:hover::before {
    width: 80%;
}



/*Styling Hamburger Icon*/
.hamburger div {
    width: 30px;
    height: 3px;
    background: #f2f5f7;
    margin: 5px;
    transition: all 0.3s ease;
}

.hamburger {
    display: none;
}

/*Stying for small screens*/
@media screen and (max-width: 800px) {
    nav {
        position: fixed;
        z-index: 3;
        margin: 0;
    }

    .hamburger {
        display: block;
        position: absolute;
        cursor: pointer;
        right: 5%;
        top: 50%;
        transform: translate(-5%, -50%);
        z-index: 2;
        transition: all 0.7s ease;
    }

    .nav-links {
        position: fixed;
        background: black;
        height: 100vh;
        width: 100%;
        flex-direction: column;
        clip-path: circle(50px at 90% -20%);
        -webkit-clip-path: circle(50px at 90% -20%);
        transition: all 1s ease-out;
        pointer-events: none;
        margin: 0;
    }

    .nav-links.open {
        clip-path: circle(1000px at 90% -10%);
        -webkit-clip-path: circle(2000px at 90% -10%);
        pointer-events: all;
        margin: 0;
    }

    .nav-links li {
        opacity: 0;
    }

    .nav-links li:nth-child(1) {
        transition: all 0.5s ease 0.2s;
    }

    .nav-links li:nth-child(2) {
        transition: all 0.5s ease 0.4s;
    }

    .nav-links li:nth-child(3) {
        transition: all 0.5s ease 0.6s;
    }

    .nav-links li:nth-child(4) {
        transition: all 0.5s ease 0.7s;
        margin-bottom: 5rem;
    }

    /* .nav-links li:nth-child(5) {
        transition: all 0.5s ease 0.8s;
        margin-bottom: 5rem;
    } */

    /* .nav-links li:nth-child(6){
        transition: all 0.5s ease 0.9s;
        margin: 0;
    }
    .nav-links li:nth-child(7){
        transition: all 0.5s ease 1s;
        margin: 0;
    } */
    li.fade {
        opacity: 1;
    }
}

/*Animating Hamburger Icon on Click*/
.toggle .line1 {
    transform: rotate(-45deg) translate(-5px, 6px);
}

.toggle .line2 {
    transition: all 0.7s ease;
    width: 0;
}

.toggle .line3 {
    transform: rotate(45deg) translate(-5px, -6px);
}